Auth
Authentication and authorization endpoints (OAuth2, JWT, MFA)
Signup
Request Body
application/json
User email address
emailUser password (min 8 characters)
8 <= lengthResponse Body
application/json
application/json
curl -X POST "https://loading/auth/signup" \ -H "Content-Type: application/json" \ -d '{ "email": "user@example.com", "password": "stringst" }'{
"success": true,
"user": {
"id": "string",
"email": "string",
"email_confirmed_at": "2019-08-24T14:15:22Z"
},
"session": {
"access_token": "string",
"refresh_token": "string",
"expires_at": 0
},
"error": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}Login
Request Body
application/json
User email address
emailUser password
Response Body
application/json
application/json
curl -X POST "https://loading/auth/login" \ -H "Content-Type: application/json" \ -d '{ "email": "user@example.com", "password": "string" }'{
"success": true,
"user": {
"id": "string",
"email": "string",
"email_confirmed_at": "2019-08-24T14:15:22Z"
},
"session": {
"access_token": "string",
"refresh_token": "string",
"expires_at": 0
},
"error": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}Refresh Token
Request Body
application/json
Refresh token from previous session
Response Body
application/json
application/json
curl -X POST "https://loading/auth/refresh" \ -H "Content-Type: application/json" \ -d '{ "refresh_token": "string" }'{
"success": true,
"user": {
"id": "string",
"email": "string",
"email_confirmed_at": "2019-08-24T14:15:22Z"
},
"session": {
"access_token": "string",
"refresh_token": "string",
"expires_at": 0
},
"error": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}Logout
Request Body
application/json
Access token to invalidate
Response Body
application/json
application/json
curl -X POST "https://loading/auth/logout" \ -H "Content-Type: application/json" \ -d '{ "access_token": "string" }'{
"property1": "string",
"property2": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}Resend Verification
Request Body
application/json
Email address to resend verification to
emailResponse Body
application/json
application/json
curl -X POST "https://loading/auth/resend-verification" \ -H "Content-Type: application/json" \ -d '{ "email": "user@example.com" }'{
"success": true,
"message": "string",
"retry_after": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}Get Profile
Authorization
HTTPBearer In: header
Response Body
application/json
curl -X GET "https://loading/auth/profile"{
"id": "string",
"email": "string",
"full_name": "string",
"avatar_url": "string",
"phone": "string",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}Verify Email
Request Body
application/json
Verification token from email link
Response Body
application/json
application/json
curl -X POST "https://loading/auth/verify-email" \ -H "Content-Type: application/json" \ -d '{ "token": "string" }'{
"success": true,
"message": "string",
"redirect_url": "string",
"resend_url": "string",
"user_id": "string",
"email": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}curl -X GET "https://loading/auth/verification-status?email=string"{
"email": "string",
"is_verified": true,
"status": "string",
"verified_at": "2019-08-24T14:15:22Z",
"token_expires_at": "2019-08-24T14:15:22Z",
"time_remaining_seconds": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}List Api Keys
Authorization
HTTPBearer In: header
Response Body
application/json
curl -X GET "https://loading/api/v1/api-keys/"{}Create Api Key
Authorization
HTTPBearer In: header
Response Body
application/json
curl -X POST "https://loading/api/v1/api-keys/"{
"success": true,
"message": "string",
"data": {}
}Decrypt Api Key
Authorization
HTTPBearer In: header
Path Parameters
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/api-keys/string/decrypt"{
"success": true,
"message": "string",
"data": {
"api_key": "...",
"secret": "..."
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}Update Api Key
Authorization
HTTPBearer In: header
Path Parameters
Response Body
application/json
application/json
curl -X PATCH "https://loading/api/v1/api-keys/string"{
"success": true,
"message": "string",
"data": {}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}Delete Api Key
Authorization
HTTPBearer In: header
Path Parameters
Response Body
application/json
application/json
curl -X DELETE "https://loading/api/v1/api-keys/string"{
"success": true,
"message": "string",
"data": {}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}Test Api Key Connection
Authorization
HTTPBearer In: header
Path Parameters
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/api-keys/string/test-connection"{
"success": true,
"message": "string",
"data": {}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}curl -X GET "https://loading/api/kyc/health"{}Kyc Webhook
Authorization
HTTPBearer In: header
Response Body
application/json
curl -X POST "https://loading/api/kyc/webhook"nullcurl -X GET "https://loading/api/kyc/"{}